com.sun.grid.drmaa

## Class SessionFactoryImpl

- java.lang.Object
- - org.ggf.drmaa.SessionFactory
  - - com.sun.grid.drmaa.SessionFactoryImpl

-     public class SessionFactoryImpl
      extends SessionFactory

  This class is used to create a SessionImpl instance. In order to use the Grid Engine binding, the $SGE_ROOT environment variable must be set, the $SGE_ROOT/lib/drmaa.jar file must in included in the CLASSPATH environment variable, and the $SGE_ROOT/lib/$ARCH directory must be included in the library path, e.g. LD_LIBRARY_PATH.
  Since:
    0.5
  Version:
    1.0
  See Also:
    `SessionFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionFactoryImpl()` Creates a new instance of SessionFactoryImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Session` | `getSession()` Gets a Session instance appropriate for the DRM in use.

    - ### Methods inherited from class org.ggf.drmaa.SessionFactory

      `getFactory`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionFactoryImpl

          public SessionFactoryImpl()

      Creates a new instance of SessionFactoryImpl.

  - ### Method Detail

    - #### getSession

          public Session getSession()

      Description copied from class: `SessionFactory`
      Gets a Session instance appropriate for the DRM in use.
      Specified by:
        `getSession` in class `SessionFactory`
      Returns:
        a Session instance appropriate for the DRM in use

The contents of this file are licensed under the Sun Industry Standards Source License version 1.2.
Copyright 2008, Sun Microsystems, Inc.